Subject: Re: [Patch v2] net: export TCP send buffer size via netlink

From: Cong Wang <[email-masked]>
Date: Mon, 01 Feb 2010 18:21:39 +0800

David Miller wrote:
> Before you spend the next couple hours trying to figure out what to
> do...
> 
> We already provide the information you're trying to export via
> linux/inet_diag.h:inet_diag_meminfo
> 
> I hope the light goes on now :-)
> 

Oh, I was just looking for a pointer.

Ok, ->idiag_wmem is gotten from sk->sk_wmem_queued, so ->sk_wmem_queued
is the TCP send buffer size that we want? I thought it is ->sk_sndbuf...

Thanks for your help!